# 50. Query: gerasterde data ophalen van "VectorAnalysisMap"

Query om rastergegevens op te halen uit de "VectorAnalysisMap" als `GEOJSON`  met punten of `GEOTIFF`. Het properties-attribuut bevat de originele gegevens (zoals indexwaarde) per punt.

#### 1. Vraag een bestand aan om te exporteren

{% hint style="danger" %}
Aanbevolen om slechts één dataset op te halen met `sourceDataUrl` per verzoek.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, en `MinusTwoPixels` zijn beschikbaar als een `buffer`.

`GEOJSON` en `GEOTIFF` zijn beschikbaar als een formaat.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromVectorAnalysisMap {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    farmOwnership
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]){
      uuid
      vectorAnalysisMaps(vectorAnalysisMapUuids: ["<placeholder_of_zonesmap_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Download het gegenereerde bestand

Na succesvolle voorbereiding van het bestand kan het worden gedownload met `curl` of een vergelijkbare methode.

{% hint style="danger" %}
`sourceDataUrl` link is alleen toegankelijk voor **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/50.-query-gerasterde-data-ophalen-van-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
